Project

General

Profile

Bug #44026

cephadm: usability: confusing error message when trying to add a host without adding public key to authorized_keys

Added by Yehuda Sadeh 10 months ago. Updated 10 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
% Done:

0%

Source:
Tags:
Backport:
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:
Crash signature:

Description

[ceph: root@mira118 /]# ceph orchestrator host add mira111.front.sepia.ceph.com
Error EINVAL: Traceback (most recent call last):
  File "/usr/share/ceph/mgr/orchestrator.py", line 652, in raise_if_exception
    e = copy_to_this_subinterpreter(c.exception)
  File "/usr/share/ceph/mgr/orchestrator.py", line 638, in copy_to_this_subinterpreter
    my_cls = getattr(sys.modules[r_cls.__module__], r_cls.__name__)
KeyError: 'execnet.gateway_bootstrap'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/ceph/mgr/mgr_module.py", line 1069, in _handle_command
    return CLICommand.COMMANDS[cmd['prefix']].call(self, cmd, inbuf)
  File "/usr/share/ceph/mgr/mgr_module.py", line 309, in call
    return self.func(mgr, **kwargs)
  File "/usr/share/ceph/mgr/orchestrator.py", line 140, in wrapper
    return func(*args, **kwargs)
  File "/usr/share/ceph/mgr/orchestrator_cli/module.py", line 165, in _add_host
    orchestrator.raise_if_exception(completion)
  File "/usr/share/ceph/mgr/orchestrator.py", line 654, in raise_if_exception
    raise Exception('{}: {}'.format(type(c.exception), c.exception))
Exception: <class 'execnet.gateway_bootstrap.HostNotFound'>: -F /tmp/cephadm-conf-3bjuprrh -i /tmp/cephadm-identity-gejm9g5b root@mira111.front.sepia.ceph.com

History

#1 Updated by Sebastian Wagner 10 months ago

I hope this is now resolved with https://github.com/ceph/ceph/pull/33179 !

#2 Updated by Sebastian Wagner 10 months ago

The message is now a tiny bit better:

# ceph orchestrator host add foobasdfsdf
  File "/home/sebastian/Repos/ceph/src/pybind/mgr/mgr_module.py", line 1069, in _handle_command
    return CLICommand.COMMANDS[cmd['prefix']].call(self, cmd, inbuf)
  File "/home/sebastian/Repos/ceph/src/pybind/mgr/mgr_module.py", line 309, in call
    return self.func(mgr, **kwargs)
  File "/home/sebastian/Repos/ceph/src/pybind/mgr/orchestrator.py", line 143, in wrapper
    return func(*args, **kwargs)
  File "/home/sebastian/Repos/ceph/src/pybind/mgr/orchestrator_cli/module.py", line 168, in _add_host
    orchestrator.raise_if_exception(completion)
  File "/home/sebastian/Repos/ceph/src/pybind/mgr/orchestrator.py", line 664, in raise_if_exception
    raise e
execnet.gateway_bootstrap.HostNotFound: -F /tmp/cephadm-conf-eixso1g8 root@foobasdfsdf

#3 Updated by Sebastian Wagner 10 months ago

  • Status changed from New to Fix Under Review
  • Pull request ID set to 33310

#4 Updated by Sebastian Wagner 10 months ago

  • Status changed from Fix Under Review to Resolved

Also available in: Atom PDF